## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges
Class ASAPrivilegesEditorPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.ASATableSchemaEditorPage
                              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges.ASAPrivilegesEditorPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, ISchemaObjectEditorModelListener, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ASAPrivilegesEditorPage

extends ASATableSchemaEditorPage
implements ISchemaObjectEditorPage

"Privileges" page for ASA table schema editor.

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ASAPrivilegesEditorPage()`
`ASAPrivilegesEditorPage(org.eclipse.ui.forms.editor.FormEditor editor, java.lang.String id, java.lang.String title)`
`ASAPrivilegesEditorPage(java.lang.String id, java.lang.String title)`

Method Summary
`void` `modelRegenerated()` Do something when the model is re-generated, for example, after successfully saving the dirty editor, the edit model will be re-cloned from the refreshed database model, in this case, page should be refreshed to keep it synchronized with database
`void` `refresh()` Sub class should override this method to refresh the page according to the model and if this page is not opened, should not refresh it
`IErrorItem[]` `validate()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.ASATableSchemaEditorPage
`getPagesNotifier, notifyChanged, validateAndShowErrorsAfterPopulating, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`aboutToSave, canLeaveThePage, createPartControl, dispose, doSave, doSaveAs, enable, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, init, initialize, isActive, isDirty, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, populateSQLObjects, revert, selectReveal, setActive, setEditor, setEditorDescriptor, setFocus, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`aboutToSave, getDatabaseIdentifier, getEditorDescriptor, getErrorMsg, getPageDescriptor, getPreferencePageIds, isPageOpened, markDirty, menuAboutToShow, populateSQLObjects, revert, setEditor, setEditorDescriptor, setFocus, setId, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from interface org.eclipse.ui.forms.editor.IFormPage
`canLeaveThePage, getEditor, getId, getIndex, getManagedForm, getPartControl, initialize, isActive, isEditor, selectReveal, setActive, setIndex`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite, init`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IDisablementPart
`enable`

Constructor Detail

### ASAPrivilegesEditorPage

    public ASAPrivilegesEditorPage()

### ASAPrivilegesEditorPage

    public ASAPrivilegesEditorPage(org.eclipse.ui.forms.editor.FormEditor editor,
                                   java.lang.String id,
                                   java.lang.String title)

### ASAPrivilegesEditorPage

    public ASAPrivilegesEditorPage(java.lang.String id,
                                   java.lang.String title)

Method Detail

### validate

    public IErrorItem[] validate()

### modelRegenerated

    public void modelRegenerated()

  Description copied from interface: `ISchemaObjectEditorPage`
  Do something when the model is re-generated, for example, after successfully saving the dirty editor, the edit model will be re-cloned from the refreshed database model, in this case, page should be refreshed to keep it synchronized with database

  Specified by:
    `modelRegenerated` in interface `ISchemaObjectEditorPage`
  Overrides:
    `modelRegenerated` in class `ASATableSchemaEditorPage`

### refresh

    public void refresh()

  Description copied from class: `SchemaObjectEditorPage`
  Sub class should override this method to refresh the page according to the model and if this page is not opened, should not refresh it

  Specified by:
    `refresh` in interface `ISchemaObjectEditorPage`
  Overrides:
    `refresh` in class `ASATableSchemaEditorPage`